Page MenuHomePhabricator

[UI minor fix] Search Results page: update the display for how results from a different language wiki are shown
Closed, ResolvedPublic

Description

We've recently rolled out the new language detection for search queries, using TextCat, so that if enough of a query is typed in (and CirrusSearch can detect that the user typed in their query in a language other than the wiki that they are on) we're now displaying additional search results that might be more helpful to the user.

However, sometimes we have search results in the native wiki language and in an additional wiki language that are displayed for the user. Such as this result for Mikhail Gorbachev

We'd like to have the "showing results from _____ Wikipedia" display more prominently, so that the user can easily detect that additional search results are from a different language wiki.

Something like the following would be good, as it will give a bit more prominence (font size) for the phrase and adding a bit more white space (changing the element to an H3 instead of a P tag, could do this):

Details

Related Gerrit Patches:

Event Timeline

debt created this task.Sep 26 2016, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2016, 2:34 PM
debt triaged this task as Medium priority.Sep 26 2016, 2:36 PM
debt moved this task from In Progress to UI on the Discovery-Search (Current work) board.
debt renamed this task from Search Results page: update the display for how results from a different language wiki are shown to [UI minor fix] Search Results page: update the display for how results from a different language wiki are shown.Nov 2 2016, 1:32 PM

Change 367420 had a related patch set uploaded (by Debt; owner: Jdrewniak):
[mediawiki/core@master] Changing interwiki results header from <p> to <h2>

https://gerrit.wikimedia.org/r/367420

Change 367420 merged by jenkins-bot:
[mediawiki/core@master] Changing interwiki results header from <p> to <h2>

https://gerrit.wikimedia.org/r/367420

debt closed this task as Resolved.Aug 4 2017, 8:21 PM
debt claimed this task.